API reference
Senders
From-addresses on a verified domain. A sender must be verified before it can send.
Create a sender
POST
/sendersAuthorizations
Authorizationstring
header
required
API key for your workspace, scoped to senders:manage. Pass it as a Bearer token in the Authorization header.
Body ยท application/json
domain_idnumber
emailstring
namestring
reply_tostring
Create a sender
curl https://api.mailcraft.host/v1/senders \
-X POST \
-H 'Authorization: Bearer sk_live_...' \
-H 'Content-Type: application/json' \
-d '{
"domain_id": 1,
"email": "[email protected]",
"name": "Your App",
"reply_to": "[email protected]"
}'{
"data": {
"id": 3,
"domain_id": 1,
"email": "[email protected]",
"name": "Your App",
"reply_to": "[email protected]",
"is_verified": true,
"created_at": "2026-09-22T14:12:00.000000Z"
}
}List senders
GET
/sendersAuthorizations
Authorizationstring
header
required
API key for your workspace, scoped to senders:manage. Pass it as a Bearer token in the Authorization header.
List senders
curl https://api.mailcraft.host/v1/senders \
-H 'Authorization: Bearer sk_live_...'{
"data": [
{ "id": 3, "domain_id": 1, "email": "[email protected]", "is_verified": true }
]
}Get a sender
GET
/senders/{sender}Authorizations
Authorizationstring
header
required
API key for your workspace, scoped to senders:manage. Pass it as a Bearer token in the Authorization header.
Get a sender
curl https://api.mailcraft.host/v1/senders/3 \
-H 'Authorization: Bearer sk_live_...'{
"data": {
"id": 3,
"domain_id": 1,
"email": "[email protected]",
"name": "Your App",
"reply_to": "[email protected]",
"is_verified": true,
"created_at": "2026-09-22T14:12:00.000000Z"
}
}Delete a sender
DELETE
/senders/{sender}Authorizations
Authorizationstring
header
required
API key for your workspace, scoped to senders:manage. Pass it as a Bearer token in the Authorization header.
Delete a sender
curl https://api.mailcraft.host/v1/senders/3 \
-X DELETE \
-H 'Authorization: Bearer sk_live_...'(empty body)